gh(1)Sep(2020)

Auto generated by spf13/cobra

NAME

gh-pr-create - Create a pull request

SYNOPSIS

gh pr create [flags]

DESCRIPTION

Create a pull request

OPTIONS

-a, --assignee=[]
    Assign people by their login

-B, --base=""
    The branch into which you want your code merged

-b, --body=""
    Supply a body. Will prompt for one otherwise.

-d, --draft[=false]
    Mark pull request as a draft

-f, --fill[=false]
    Do not prompt for title/body and just use commit info

-l, --label=[]
    Add labels by name

-m, --milestone=""
    Add the pull request to a milestone by name

-p, --project=[]
    Add the pull request to projects by name

-r, --reviewer=[]
    Request reviews from people by their login

-t, --title=""
    Supply a title. Will prompt for one otherwise.

-w, --web[=false]
    Open the web browser to create a pull request

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE

    $ gh pr create --title "The bug is fixed" --body "Everything works again"
    $ gh issue create --label "bug,help wanted"
    $ gh issue create --label bug --label "help wanted"
    $ gh pr create --reviewer monalisa,hubot
    $ gh pr create --project "Roadmap"
    $ gh pr create --base develop

SEE ALSO

gh-pr(1)

HISTORY

8-Sep-2020 Auto generated by spf13/cobra